<?php

/*
 * @name        JMY CMS
 * @link        https://jmy.su/
 * @copyright   Copyright (C) 2012-2025 JMY LTD
 * @license     LICENSE.txt (see attached file)
 * @version     VERSION.txt (see attached file)
 * @author      Orlov Alexsey
 */

if (!defined('ACCESS')) {
    header('Location: /');
    exit;
}
global $db, $core;
$query = $core->select_data('tagcode', 'active = 1');
if ($db->numRows($query) > 0) {
    while ($rows = $db->getRow($query)) {
        $tagcode = $rows['tag'] && $rows['active'] == 1 ? str_replace(array('\n', '\n', '""', '""', '&lt;', '&gt;'), array('<br>', '<br/>', '\p', '\n', '<', '>'), $rows['desc']) : '';
        $this->setVar($rows['tag'], $tagcode);
    }
}